<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class Registro9999 extends Registro0000 {

    private $_qtdLin; //Quantidade total de linhas do arquivo digital

    public function geraRegistro9999(){
        $this->_geraRegistro(self::REGISTRO_9999);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_qtdLin, true);
    }
    
    public function setQtdLin($qtdLin){
        $this->_qtdLin = $qtdLin;
    }
}